# AssetInfo | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- AssetInfo

## Index

### Properties

- address
- assetName
- contractName
- type

## Properties

### Readonly address

address: Address

- Defined in packages/transactions/src/types.ts:408

### Readonly assetName

assetName: LengthPrefixedString

- Defined in packages/transactions/src/types.ts:410

### Readonly contractName

contractName: LengthPrefixedString

- Defined in packages/transactions/src/types.ts:409

### Readonly type

type: AssetInfo

- Defined in packages/transactions/src/types.ts:407

Generated using TypeDoc